@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
.form-group {
    margin-bottom: 1rem;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.spinner {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    top: 40%;
    left: 50%;
    position: absolute;
}
.smallspinner {
    border: 5px solid silver;
    border-top: 5px solid #337AB7;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 700ms linear infinite;
    margin:5px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

.alternating tr:nth-child(odd)  {
    background-color: white;
    color: black;
}

.alternating tr:nth-child(even)  {
    background-color: rgb(186, 212, 255);
    color: black;
}

.alternating2 tr:nth-child(2n+4) td {
    background-color: rgb(186, 212, 255);
    color: black;
}

.firstcolumnwhite td:nth-child(1)  {
    background-color: white;
    align-content:center;
    text-align:center;
    font-weight:bold;
}
.positiontable tr:nth-child(2) td {
    font-weight: bold
}
.positiontable td {
    text-align: right;
    border: solid;
    border-width: 1px;
    border-color: gray;
}
.positiontable {
    border: solid;
    border-width: 1px;
    border-color: gray;
    white-space: nowrap;
    font-size: smaller;
}
.padding th {
    padding: 4px
}
.padding td {
    padding: 4px
}

html, body {
    font-family: 'Calibri';
}

.darkheading th{
    background-color:darkblue;
    color:white;
}
.searchbox 
{
    border:solid;
    border-width:1px;
    border-color:gray;
    background-color:lightgray;
    
}
.searchbox td {
        padding-left: 5px;
        padding-right: 5px;
    }
.searchbox input
{
    font-size:small;
    width:200px;
}
.searchbox select {
        font-size: small;
        width: 200px;
        height:25px;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }


.bgyellow td {
    background-color: yellow;
}

body {
    padding-top: 70px;
}
.cellborders td{
    border:solid;
    border-width:1px;
    border-color:black;
}

.sticky-footer {
    background-color:white;
    height:30px;
    width:100%;
    padding:2px 2px 2px 2px;
    position: fixed;
    bottom: 0px;
}